Crystal Space: FramePrinter Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FramePrinter Class Reference
[Event handling]

FramePrinter handles every csevFrame event in the FRAME (final) phase. More...

`#include <csutil/common_handlers.h>`

Inheritance diagram for FramePrinter:

[legend]
List of all members.

## Public Member Functions
virtual bool | HandleEvent (iEvent &)
| This is the basic event handling function.
## Protected Attributes
csRef< iGraphics3D > | g3d

## Detailed Description

FramePrinter handles every csevFrame event in the FRAME (final) phase.

It calls g3d->FinishFraw() and g3d->Print(0). The handler returns false, so it will not prevent any subsequent csevFrame handlers being called. The class retrieves a reference to the g3d object from the object registry when the constructor is called. The constructor also subscribes the new instance to the event queue automatically.

Definition at line 71 of file common_handlers.h.

## Member Function Documentation

virtual bool FramePrinter::HandleEvent | ( | iEvent & |  | ) | `[virtual]`

This is the basic event handling function.

To receive events, a component must implement iEventHandler and register with an event queue using iEventQueue::RegisterListener() and iEventQueue::Subscribe(). The event handler should return true if the event was handled. Returning true prevents the event from being passed along to other event handlers (unless the event's Broadcast flag has been set, in which case it is sent to all subscribers regardless of the return value). If the event was not handled, then false should be returned, in which case other event handlers are given a shot at the event. Do not return true unless you really handled the event and want event dispatch to stop at your handler.

Implements iEventHandler.

The documentation for this class was generated from the following file:

- csutil/common_handlers.h